[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDefCollection.GetItemNames

Return a list of all names in the collection

## Declaration

Source position: db.pas line 157

`public procedure TDefCollection.GetItemNames(`
`List: TStrings`
`);`

## Arguments

`List` |  | List to fill with the names of the items in the collection.

## Description

GetItemNames fills List with the names of all items in the collection. It clears the list first.

## Errors

If List is not a valid TStrings instance, an exception will occur.

## See also

TNamedItem.Name |  | Name of the item